Aracılığıyla paylaş


Rai Blocklist Items - Create Or Update

Azure OpenAI hesabıyla ilişkili belirtilen engelleme listesi öğesinin durumunu güncelleştirin.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.CognitiveServices/accounts/{accountName}/raiBlocklists/{raiBlocklistName}/raiBlocklistItems/{raiBlocklistItemName}?api-version=2025-06-01

URI Parametreleri

Name İçinde Gerekli Tür Description
accountName
path True

string

minLength: 2
maxLength: 64
pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$

Bilişsel Hizmetler hesabının adı.

raiBlocklistItemName
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$

Özel engelleme listesiyle ilişkili RaiBlocklist Öğesinin adı

raiBlocklistName
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$

Bilişsel Hizmetler Hesabı ile ilişkili RaiBlocklist'in adı

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Kaynak grubunun adı. Ad büyük/küçük harfe duyarsız.

subscriptionId
path True

string

minLength: 1

Hedef aboneliğin kimliği.

api-version
query True

string

minLength: 1

Bu işlem için kullanılacak API sürümü.

İstek Gövdesi

Name Tür Description
properties

RaiBlocklistItemProperties

Bilişsel Hizmetler RaiBlocklist öğesinin özellikleri.

tags

object

Kaynak etiketleri.

Yanıtlar

Name Tür Description
200 OK

RaiBlocklistItem

Engellenenler listesi Öğesi başarıyla oluşturuldu/güncellendi.

201 Created

RaiBlocklistItem

Engellenenler listesi Öğesi başarıyla oluşturuldu/güncellendi.

Other Status Codes

ErrorResponse

İşlemin neden başarısız olduğunu açıklayan hata yanıtı.

Örnekler

PutRaiBlocklistItem

Örnek isteği

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resourceGroupName/providers/Microsoft.CognitiveServices/accounts/accountName/raiBlocklists/raiBlocklistName/raiBlocklistItems/raiBlocklistItemName?api-version=2025-06-01

{
  "properties": {
    "pattern": "Pattern To Block",
    "isRegex": false
  }
}

Örnek yanıt

{
  "name": "raiBlocklistItemName",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resourceGroupName/providers/Microsoft.CognitiveServices/accounts/accountName/raiBlocklists/raiBlocklistName/raiBlocklistItems/raiBlocklistItemName",
  "properties": {
    "pattern": "Pattern To Block",
    "isRegex": false
  }
}
{
  "name": "raiBlocklistItemName",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resourceGroupName/providers/Microsoft.CognitiveServices/accounts/accountName/raiBlocklists/raiBlocklistName/raiBlocklistItems/raiBlocklistItemName",
  "properties": {
    "pattern": "Pattern To Block",
    "isRegex": false
  }
}

Tanımlar

Name Description
createdByType

Kaynağı oluşturan kimliğin türü.

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

ErrorDetail

Hata ayrıntısı.

ErrorResponse

Hata yanıtı

RaiBlocklistItem

Bilişsel Hizmetler RaiBlocklist öğesi.

RaiBlocklistItemProperties

RAI Özel Engelleme Listesi Öğesi özellikleri.

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

createdByType

Kaynağı oluşturan kimliğin türü.

Değer Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

Name Tür Description
info

object

Ek bilgi.

type

string

Ek bilgi türü.

ErrorDetail

Hata ayrıntısı.

Name Tür Description
additionalInfo

ErrorAdditionalInfo[]

Hata ek bilgileri.

code

string

Hata kodu.

details

ErrorDetail[]

Hata ayrıntıları.

message

string

Hata iletisi.

target

string

Hata hedefi.

ErrorResponse

Hata yanıtı

Name Tür Description
error

ErrorDetail

Hata nesnesi.

RaiBlocklistItem

Bilişsel Hizmetler RaiBlocklist öğesi.

Name Tür Description
etag

string

Kaynak Etag'i.

id

string

Kaynağın tam kaynak kimliği. Örn - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

Kaynağın adı

properties

RaiBlocklistItemProperties

Bilişsel Hizmetler RaiBlocklist öğesinin özellikleri.

systemData

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

tags

object

Kaynak etiketleri.

type

string

Kaynağın türü. Örneğin, "Microsoft.Compute/virtualMachines" veya "Microsoft.Storage/storageAccounts"

RaiBlocklistItemProperties

RAI Özel Engelleme Listesi Öğesi özellikleri.

Name Tür Description
isRegex

boolean

Desen bir normal ifade deseniyse.

pattern

string

Eşleşecek desen.

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

Name Tür Description
createdAt

string (date-time)

Kaynak oluşturma zaman damgası (UTC).

createdBy

string

Kaynağı oluşturan kimlik.

createdByType

createdByType

Kaynağı oluşturan kimliğin türü.

lastModifiedAt

string (date-time)

Kaynak son değişikliğinin zaman damgası (UTC)

lastModifiedBy

string

Kaynağı en son değiştiren kimlik.

lastModifiedByType

createdByType

Kaynağı en son değiştiren kimlik türü.